{
    "id": "jojo.app.tools",
    "name": "JoJo基础应用订阅",
    "author": "@JoJo",
    "icon": "https://avatars.githubusercontent.com/u/16010188",
    "repo": "http://git.jojo21.top/shawenguan/Quantumult-X",
    "apps": [
    {
        "id": "jojo.magicjs",
        "name": "MagicJS",
        "keys": [
            "magic_test_data",
            "magic_test_notification",
            "magic_test_http",
            "magic_test_qinglong",
            "magic_test_qinglong_data"
        ],
        "settings": [
        {
            "id": "magic_loglevel",
            "name": "日志等级",
            "val": "INFO",
            "type": "radios",
            "items": [
            {
                "key": "INFO",
                "label": "INFO"
            },
            {
                "key": "WARNING",
                "label": "WARNING"
            },
            {
                "key": "ERROR",
                "label": "ERROR"
            },
            {
                "key": "DEBUG",
                "label": "DEBUG"
            },
            {
                "key": "SNIFFER",
                "label": "SNIFFER"
            }],
            "desc": "出现异常时请选择DEBUG提交日志"
        }],
        "author": "@JoJo",
        "repo": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts",
        "icons": [
            "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/logo_dark.png",
            "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/logo.png"
        ]
    },
    {
        "id": "jojo.qinglong",
        "name": "青龙面板",
        "keys": [
            "magic_qlurl",
            "magic_qlclient",
            "magic_qlsecrt",
            "magic_qlname",
            "magic_qlpwd",
            "magic_qltoken"
        ],
        "descs_html": [
            "<h4 align=\"left\">不建议在iOS14及以下系统开启青龙面板同步，可能因magic.json数据过大受到内存警告，甚至丢失青龙面板magic.json数据。</h4>"
        ],
        "settings": [
        {
            "id": "magic_qlurl",
            "name": "登录地址",
            "val": "",
            "type": "input",
            "placeholder": "http://47.106.225.136:5700",
            "autoGrow": true,
            "desc": "填写青龙面板的登录地址，如为https请保证证书有效"
        },
        {
            "id": "magic_qlclient",
            "name": "ClientId",
            "val": "",
            "type": "input",
            "placeholder": "",
            "autoGrow": true,
            "desc": "填写青龙面板的ClientId"
        },
        {
            "id": "magic_qlsecrt",
            "name": "ClientSecret",
            "val": "",
            "type": "input",
            "placeholder": "",
            "autoGrow": true,
            "desc": "填写青龙面板的ClientSecret"
        },
        {
            "id": "magic_qlname",
            "name": "账号",
            "val": "",
            "type": "input",
            "placeholder": "",
            "autoGrow": true,
            "desc": "填写青龙面板的账号，当存在ClientId时，填写账号不会生效"
        },
        {
            "id": "magic_qlpwd",
            "name": "密码",
            "val": "",
            "type": "input",
            "placeholder": "http://47.106.225.136:5700",
            "autoGrow": true,
            "desc": "填写青龙面板的密码，当存在ClientId时，填写密码不会生效"
        },
        {
            "id": "magic_qltoken",
            "name": "token",
            "val": "",
            "type": "textarea",
            "placeholder": "",
            "autoGrow": true,
            "desc": "登录token，正常情况下不需要填写，自动获取"
        }],
        "author": "@JoJo",
        "repo": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts",
        "icons": [
            "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/qinglong_dark.png",
            "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/qinglong.png"
        ]
    },
    {
        "id": "jojo.bark",
        "name": "Bark推送",
        "keys": ["magic_bark_url"],
        "settings": [
        {
            "id": "magic_bark_url",
            "name": "Bark推送URL",
            "val": "",
            "type": "input",
            "placeholder": "https://api.day.app/xxxxxxxxxxxxxxxxxx/",
            "autoGrow": true,
            "desc": "填写Bark推送的链接，脚本通知将通过Bark推送。仅基于MagicJS 3的脚本支持。"
        }],
        "author": "@JoJo",
        "repo": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts",
        "icons": [
            "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/bark.png",
            "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/bark.png"
        ]
    },
    {
        "id": "jojo.synology",
        "name": "Synology",
        "keys": ["syno_https_url", "syno_account", "syno_passwd", "syno_sid"],
        "settings": [
        {
            "id": "syno_https_url",
            "name": "群晖地址",
            "val": "",
            "type": "input",
            "placeholder": "http://192.168.1.100:5000",
            "autoGrow": true,
            "desc": "目前暂不支持https，请使用http"
        },
        {
            "id": "syno_account",
            "name": "群晖账户",
            "val": "",
            "type": "input",
            "placeholder": "admin",
            "autoGrow": true,
            "desc": "可访问DownloadStation的账号，记得设置默认下载路径"
        },
        {
            "id": "syno_passwd",
            "name": "群晖密码",
            "val": "",
            "type": "input",
            "placeholder": "",
            "autoGrow": true,
            "desc": "建议单独建立一个账户保证安全"
        },
        {
            "id": "syno_sid",
            "name": "群晖Sid",
            "val": "",
            "type": "input",
            "placeholder": "",
            "autoGrow": true,
            "desc": "除非无法正常获取Sid，否则保持现在的值，不要修改"
        }],
        "author": "@JoJo",
        "repo": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/synology",
        "icons": [
            "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/synology_dark.jpg",
            "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/synology.jpg"
        ],
        "scripts": [
        {
            "name": "登录Synology",
            "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/synology/synologyHelper.js"
        }]
    }]
}